Skip to content

Update a key result

Request

Updates an existing key result with the specified attributes

Path
idstringrequired

Key result UUID

Bodyapplication/json
titlestring

Goal title

descriptionstring

Goal description

short_idstring

Custom short ID: 2-30 letters, digits, dashes or underscores (for example CAO-E-O100), stored upper-case and unique within the tenant

goal_typestring

Goal type

Enum:"aspirational""committed"
visibilitystring

Goal visibility

Enum:"public""limited"
current_statusstring

Current status

Enum:"not_started""in_progress""on_track""behind""at_risk""closed""postponed"
start_datestring

Optional start date (YYYY-MM-DD). Must fall within the selected time period and be on or before end_date. When changing the time period, omit to use the new period start.

end_datestring

Optional end date (YYYY-MM-DD). Must fall within the selected time period and be on or after start_date. When changing the time period, omit to use the new period end.

time_period_uuidstring

Time period UUID. Changing it resets omitted start and end dates to the new period boundaries.

team_uuidsArray of strings

Array of team UUIDs

owner_uuidsArray of strings

Array of owner UUIDs

labelsArray of strings

Array of label names

delegate_uuidsArray of strings

Array of delegate UUIDs

progress_modestring

Progress mode

Enum:"manual""rollup""integration"
metricobject
parentsArray of strings

Array of parent goals

Default:[]
visible_entitiesArray of objects

Visible entities for limited visibility

Default:[]
PUT
/rest/v2/key_results/{id}
curl -i -X PUT \
  'https://api.rhythms.ai/rest/v2/key_results/{id}' \
  -H 'Content-Type: application/json' \
  -d '{
    "title": "string",
    "description": "string",
    "short_id": "string",
    "goal_type": "aspirational",
    "visibility": "public",
    "current_status": "not_started",
    "start_date": "string",
    "end_date": "string",
    "time_period_uuid": "string",
    "team_uuids": [
      "string"
    ],
    "owner_uuids": [
      "string"
    ],
    "labels": [
      "string"
    ],
    "delegate_uuids": [
      "string"
    ],
    "progress_mode": "manual",
    "metric": {
      "name": "Progress",
      "start_value": 0,
      "target_value": 100,
      "unit": "percentage",
      "metric_type": "reach"
    },
    "parents": [],
    "visible_entities": []
  }'

Responses

Success

Headers
any
Body*/*
dataobjectrequired
Response
{
  "data": {
    "type": "string",
    "record": {
      "uuid": "string",
      "type": "string",
      "title": "string",
      "description": null,
      "start_date": "string",
      "end_date": "string",
      "goal_type": "aspirational",
      "time_period_uuid": "string",
      "current_metric_uuid": null,
      "creator_uuid": "string",
      "last_checkin_date": null,
      "score": null,
      "current_progress": null,
      "current_value": null,
      "current_status": "not_started",
      "source_uuid": null,
      "source_type": null,
      "path": null,
      "searchable_content": null,
      "progress_mode": "manual",
      "value_updated_at": null,
      "status_updated_at": null,
      "value_updated_by_uuid": null,
      "status_updated_by_uuid": null,
      "visibility": "public",
      "ai_rollup_enabled": false,
      "data_sources_count": 0,
      "discarded_at": null,
      "discarded_by_uuid": null,
      "short_id_uuid": null,
      "archived_at": null,
      "archived_by_uuid": null,
      "short_id": "string",
      "owner_uuids": [
        "string"
      ],
      "target": null,
      "unit": null,
      "metric_type": null,
      "parent_links": [
        {
          "parent_uuid": "string",
          "contribution_percent": 0
        }
      ],
      "visible_entities": [
        {
          "entity_type": "User",
          "entity_uuid": "string",
          "mode": "direct"
        }
      ]
    },
    "checks": null,
    "access_source": null
  }
}